Eclipse Platform Release 3.7

## org.eclipse.team.ui.synchronize
Class ModelParticipantWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.team.ui.synchronize.ParticipantSynchronizeWizard
              org.eclipse.team.ui.synchronize.ModelParticipantWizard

All Implemented Interfaces:
  IWizard

    public abstract class ModelParticipantWizard

extends ParticipantSynchronizeWizard

This is a convenience class for creating wizards for use with the `org.eclipse.team.ui.synchronizeWizard` extension point that create a `ModelSynchronizeParticipant`.

Since:
  3.2

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ModelParticipantWizard()`

Method Summary
`protected void` `createParticipant()` Method called from `ParticipantSynchronizeWizard.performFinish()` to create a participant.
`protected abstract ISynchronizeParticipant` `createParticipant(ResourceMapping[] selectedMappings)` Method called from `createParticipant()` to create a `ModelSynchronizeParticipant` for the given resource mappings.
`protected WizardPage` `createScopeSelectionPage()` Create the page which allows the user to select the scope for the operation.

Methods inherited from class org.eclipse.team.ui.synchronize.ParticipantSynchronizeWizard
`addPages, canFinish, getImportWizard, getNextPage, getPageTitle, getRootResources, getStartingPage, getWindowTitle, performCancel, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getPreviousPage, getShell, getTitleBarColor, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelParticipantWizard

    public ModelParticipantWizard()

Method Detail

### createParticipant

    protected final void createParticipant()

  Description copied from class: `ParticipantSynchronizeWizard`
  Method called from `ParticipantSynchronizeWizard.performFinish()` to create a participant. This participant will be added to the Synchronize view.

  Specified by:
    `createParticipant` in class `ParticipantSynchronizeWizard`

### createScopeSelectionPage

    protected final WizardPage createScopeSelectionPage()

  Description copied from class: `ParticipantSynchronizeWizard`
  Create the page which allows the user to select the scope for the operation.

  Specified by:
    `createScopeSelectionPage` in class `ParticipantSynchronizeWizard`
  Returns:
    the page which allows the user to select the scope for the operation

### createParticipant

    protected abstract ISynchronizeParticipant createParticipant(ResourceMapping[] selectedMappings)

  Method called from `createParticipant()` to create a `ModelSynchronizeParticipant` for the given resource mappings.

  Parameters:
    `selectedMappings` - the selected mappings that define the scope
  Returns:
    a synchronize participant that will be added to the Synchronize view

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.